package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.StockTradeCal;
import com.tanpu.fund.entity.generator.StockTradeCalExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface StockTradeCalMapper {
    long countByExample(StockTradeCalExample example);

    int deleteByExample(StockTradeCalExample example);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(StockTradeCal record);

    int insertOrUpdate(StockTradeCal record);

    int insertOrUpdateSelective(StockTradeCal record);

    int insertOrUpdateWithBLOBs(StockTradeCal record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(StockTradeCal record);

    List<StockTradeCal> selectByExampleWithBLOBs(StockTradeCalExample example);

    List<StockTradeCal> selectByExample(StockTradeCalExample example);

    int updateByExampleSelective(@Param("record") StockTradeCal record, @Param("example") StockTradeCalExample example);

    int updateByExampleWithBLOBs(@Param("record") StockTradeCal record, @Param("example") StockTradeCalExample example);

    int updateByExample(@Param("record") StockTradeCal record, @Param("example") StockTradeCalExample example);

    int batchInsert(@Param("list") List<StockTradeCal> list);
}